IRQ_SET_AFFINITY_NOT(9)

NAME
irq_set_affinity_notifier - control notification of IRQ affinity changes

SYNOPSIS

int irq_set_affinity_notifier(unsigned int irq, struct irq_affinity_notify * notify);

ARGUMENTS

irq
    Interrupt for which to enable/disable notification

notify
    Context for notification, or NULL to disable notification. Function pointers must be initialised; the other fields will be initialised by this function.

DESCRIPTION

Must be called in process context. Notification may only be enabled after the IRQ is allocated and must be disabled before the IRQ is freed using free_irq.

COPYRIGHT